Set $wgArticleCountMethod to 'any' for srwikiquote and srwikisource
Closed, ResolvedPublic

Description

srwikiquote and srwikisource community requests to set $wgArticleCountMethod variable to 'any', that all pages will be considered as valid articles in a content namespaces.
A discussion and community consensus: Викицитат:Трг#Промена начина бројања страница са садржајем; for sr.wikisource given below, due to the confusion, wrong task title etc.

Please, run the maintenance/updateArticleCount.php script to update the existing count after the changes. (if needed)

See also: Related, resolved task of same type: T131771.

Thanks,

Obsuser.

Obsuser created this task.Aug 10 2017, 1:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2017, 1:01 AM
Urbanecm claimed this task.Aug 10 2017, 3:01 AM
Urbanecm triaged this task as Low priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 10 2017, 3:01 AM

Change 370991 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Set $wgArticleCountMethod to 'any' on srwikisource

https://gerrit.wikimedia.org/r/370991

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Aug 10 2017, 6:33 AM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Zoranzoki21 added a subscriber: Zoranzoki21.

Change 370991 merged by jenkins-bot:
[operations/mediawiki-config@master] Set $wgArticleCountMethod to 'any' on srwikisource

https://gerrit.wikimedia.org/r/370991

Mentioned in SAL (#wikimedia-operations) [2017-08-10T13:26:52Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:370991|Set $wgArticleCountMethod to any on srwikisource (T172974)]] (duration: 00m 53s)

zfilipin@terbium:~$ mwscript updateArticleCount.php --wiki=srwikisource
Counting articles...found 14081.
To update the site statistics table, run the script with the --update option.
zfilipin@terbium:~$ mwscript updateArticleCount.php --wiki=srwikisource --update
Counting articles...found 14081.
Updating site statistics table... done.
Urbanecm closed this task as Resolved.Aug 10 2017, 1:32 PM
Obsuser reopened this task as Open.Aug 15 2017, 12:01 PM
Obsuser raised the priority of this task from Low to Normal.

Why is counter still on 224?

On https://sr.wikiquote.org/w/index.php?title=Special:AllPages&hideredirects=1 list, on first page only (1984Карл Маркс),
I counted about 275 pages which are not italicized and are articles. 275>224 and there are 5 more such pages, so counter is heavily incorrect.

I would estimate real number of articles should be about 1.500–1.700 (about 260–280 per page of https://sr.wikiquote.org/w/index.php?title=Special:AllPages&hideredirects=1 list, and there are 6 pages on this list) – not 14081 as written in some report above, and not less than 1886 which is currently written at https://sr.wikiquote.org/wiki/Special:AllPages stats.

Also, https://sr.wikiquote.org/w/index.php?title=Special:AllPages&hideredirects=1 does not works as it should; it has &hideredirects=1 and still displays redirects. I tried to go with &hideredirects=true, &hideredirects=yes and &hideredirects=0, got no changes in the displayed content.

Obsuser renamed this task from Set $wgArticleCountMethod to 'any' for srwikisource to Set $wgArticleCountMethod to 'any' for srwikiquote.Aug 15 2017, 12:05 PM
Obsuser updated the task description. (Show Details)
Obsuser added a comment.EditedAug 15 2017, 12:18 PM

Also, I really apologize for mistake in this task title and link leading for consensus page on other wiki. Request was supposed to be made for sr.wikiquote, not sr.wikisource.

But I guess it is good that this $wgArticleCountMethod has been changed for sr.wikisource as well, projects are similar and wikilinks should not decide if something is article or not.
I've started a discussion also on that wiki (Викизворник:Писарница#Промена начина бројања страница са садржајем) so that already changed counting method there does not get reverted. Please wait for approving it, no need for getting it back and then again changing to all.

Wikiquote is the original project for this task, and it needs to be redone again for this wiki and wait for approval of sr.wikisource community before closing the task. Sorry for confusion again.

Obsuser renamed this task from Set $wgArticleCountMethod to 'any' for srwikiquote to Set $wgArticleCountMethod to 'any' for srwikiquote and srwikisource.Aug 15 2017, 12:19 PM
Obsuser updated the task description. (Show Details)

OK, it will not happen again; I though it is allowed for the one who makes task, because it is possible. Maybe this feature should be locked for users as me, with giving ability to change it only to developers and those who resolve tasks and have special status such as your Roles Administrator. Not all Phabricator users who file this read long page on Metawiki.

Will ask for the script at wikiquote too.

Mentioned in SAL (#wikimedia-operations) [2017-08-15T23:14:02Z] <Dereckson> Ran updateArticleCount.php on sr.wikiquote (T172974)

@Dereckson, the counting method on sr.wikiquote hasn't changed yet. [grin]

Change 372195 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Change $wgArticleCountMethod to any for srwikiquote

https://gerrit.wikimedia.org/r/372195

Oh... A mistake, my appologies :). I've changed it for srwikisource only :D. Will fix tomorrow, between 13:00 and 14:00 UTC.

On https://sr.wikiquote.org/w/index.php?title=Special:AllPages&hideredirects=1 I've just manually counted about 530 pages which are not redirects (italicized), on a two-page list; I want to note this because yesterday's list on this URL was a six-page list with about 1500 pages which are not redirects – so something has recently been edited regarding to the counting method here, don't know what...

Change 372195 merged by jenkins-bot:
[operations/mediawiki-config@master] Change $wgArticleCountMethod to any for srwikiquote

https://gerrit.wikimedia.org/r/372195

Mentioned in SAL (#wikimedia-operations) [2017-08-17T13:15:25Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:372195|Change $wgArticleCountMethod to any for srwikiquote (T172974)]] (duration: 00m 51s)

Urbanecm closed this task as Resolved.Aug 17 2017, 1:17 PM

545 is the current value.

zfilipin@terbium:~$ mwscript updateArticleCount.php --wiki=srwikiquote --update
Counting articles...found 545.
Updating site statistics table... done.